Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2267071 - ath10k WLAN.RM.4.4.1-00309 firmware crashing occasionally (dell xps 9570 with QCA6174 802.11ac adapter)
Summary: ath10k WLAN.RM.4.4.1-00309 firmware crashing occasionally (dell xps 9570 with...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: linux-firmware
Version: 39
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-02-29 14:28 UTC by Jamie
Modified: 2024-04-24 01:36 UTC (History)
22 users (show)

Fixed In Version: linux-firmware-20240410-1.fc39 linux-firmware-20240410-1.fc40 linux-firmware-20240410-1.fc38
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-14 01:36:17 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Jamie 2024-02-29 14:28:13 UTC
Atk10 Driver crashes ocassionally on Linux 6.7.5-200.fc39.x86_64

dmesg output:

62755.113469] WARNING: CPU: 5 PID: 144431 at net/mac80211/driver-ops.c:41 drv_stop+0xf5/0x100 [mac80211]
[62755.113519] Modules linked in: uas usb_storage uinput rfcomm snd_seq_dummy snd_hrtimer nf_conntrack_netbios_ns nf_conntrack_broadcast nft_fib_inet nft_fib_ipv4 nft_fib_ipv6 nft_fib nft_reject_inet nf_reject_ipv4 nf_reject_ipv6 nft_reject nft_ct nft_chain_nat nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 ip_set nf_tables nfnetlink bnep uvcvideo btusb btrtl uvc btintel videobuf2_vmalloc videobuf2_memops btbcm videobuf2_v4l2 btmtk videobuf2_common bluetooth videodev qrtr mc cdc_acm sunrpc snd_sof_pci_intel_cnl snd_sof_intel_hda_common soundwire_intel snd_sof_intel_hda_mlink soundwire_cadence snd_sof_intel_hda snd_sof_pci snd_sof_xtensa_dsp snd_sof snd_sof_utils soundwire_generic_allocation soundwire_bus snd_soc_skl snd_soc_hdac_hda snd_hda_ext_core snd_soc_sst_ipc snd_soc_sst_dsp snd_soc_acpi_intel_match snd_soc_acpi intel_tcc_cooling snd_hda_codec_hdmi x86_pkg_temp_thermal intel_powerclamp ath10k_pci binfmt_misc snd_soc_core coretemp ath10k_core kvm_intel snd_ctl_led snd_hda_codec_realtek snd_compress spi_nor
[62755.113557]  iTCO_wdt ac97_bus snd_pcm_dmaengine snd_hda_codec_generic intel_pmc_bxt kvm mtd mei_hdcp mei_pxp mei_wdt ee1004 iTCO_vendor_support intel_rapl_msr irqbypass mac80211 snd_hda_intel dell_laptop snd_intel_dspcfg rapl snd_intel_sdw_acpi snd_hda_codec dell_smm_hwmon dell_wmi intel_cstate snd_hda_core libarc4 snd_hwdep ath processor_thermal_device_pci_legacy snd_seq processor_thermal_device dell_smbios vfat snd_seq_device processor_thermal_wt_hint fat dcdbas intel_uncore processor_thermal_rfim cfg80211 snd_pcm dell_wmi_descriptor ledtrig_audio intel_wmi_thunderbolt snd_timer dell_wmi_sysman processor_thermal_rapl spi_intel_pci wmi_bmof firmware_attributes_class pcspkr intel_rapl_common snd i2c_i801 mei_me processor_thermal_wt_req spi_intel soundcore i2c_smbus processor_thermal_power_floor rfkill processor_thermal_mbox mei intel_soc_dts_iosf idma64 intel_pch_thermal int3403_thermal int340x_thermal_zone dell_smo8800 intel_hid int3400_thermal acpi_thermal_rel acpi_pad joydev sparse_keymap loop zram dm_crypt
[62755.113598]  nouveau i915 drm_ttm_helper drm_exec drm_gpuvm crct10dif_pclmul crc32_pclmul gpu_sched nvme drm_buddy crc32c_intel i2c_algo_bit polyval_clmulni rtsx_pci_sdmmc ttm polyval_generic mmc_core nvme_core ghash_clmulni_intel drm_display_helper sha512_ssse3 sha256_ssse3 hid_multitouch ucsi_acpi mxm_wmi typec_ucsi sha1_ssse3 rtsx_pci nvme_auth cec typec i2c_hid_acpi i2c_hid video wmi pinctrl_cannonlake serio_raw ip6_tables ip_tables fuse
[62755.113619] CPU: 5 PID: 144431 Comm: kworker/5:0 Tainted: G        W          6.7.5-200.fc39.x86_64 #1
[62755.113621] Hardware name: Dell Inc. XPS 15 9570/0D0T05, BIOS 1.31.0 03/13/2023
[62755.113623] Workqueue: events_freezable ieee80211_restart_work [mac80211]
[62755.113660] RIP: 0010:drv_stop+0xf5/0x100 [mac80211]
[62755.113697] Code: 0c 00 48 85 c0 74 0c 48 8b 78 08 48 89 de e8 32 03 05 00 65 ff 0d 13 91 d3 3e 0f 85 39 ff ff ff 0f 1f 44 00 00 e9 2f ff ff ff <0f> 0b 5b c3 cc cc cc cc 0f 1f 00 90 90 90 90 90 90 90 90 90 90 90
[62755.113699] RSP: 0018:ffffb9de95febcb8 EFLAGS: 00010246
[62755.113701] RAX: 0000000000000000 RBX: ffff95903e300900 RCX: ffff95900737b268
[62755.113702] RDX: 0000000080000000 RSI: 0000000000000282 RDI: ffff95903e300900
[62755.113703] RBP: ffff95903e300900 R08: 0000000000000400 R09: 0000000000000002
[62755.113704] R10: ffff95903e301068 R11: 0000000000000001 R12: ffff95903e3011d0
[62755.113705] R13: ffff95903e300e10 R14: 0000000000000000 R15: ffff95903b03dc38
[62755.113706] FS:  0000000000000000(0000) GS:ffff95936c540000(0000) knlGS:0000000000000000
[62755.113708] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[62755.113709] CR2: 00003df800084000 CR3: 0000000024422005 CR4: 00000000003706f0
[62755.113710] Call Trace:
[62755.113711]  <TASK>
[62755.113712]  ? drv_stop+0xf5/0x100 [mac80211]
[62755.113750]  ? __warn+0x81/0x130
[62755.113754]  ? drv_stop+0xf5/0x100 [mac80211]
[62755.113792]  ? report_bug+0x171/0x1a0
[62755.113795]  ? handle_bug+0x3c/0x80
[62755.113798]  ? exc_invalid_op+0x17/0x70
[62755.113800]  ? asm_exc_invalid_op+0x1a/0x20
[62755.113804]  ? drv_stop+0xf5/0x100 [mac80211]
[62755.113840]  ? drv_stop+0x12/0x100 [mac80211]
[62755.113877]  ieee80211_do_stop+0x56a/0x800 [mac80211]
[62755.113928]  ieee80211_stop+0x58/0x180 [mac80211]
[62755.114002]  __dev_close_many+0x9b/0x110
[62755.114007]  dev_close_many+0x8f/0x150
[62755.114010]  dev_close+0x83/0xb0
[62755.114013]  cfg80211_shutdown_all_interfaces+0x4d/0xf0 [cfg80211]
[62755.114084]  ieee80211_restart_work+0x11c/0x150 [mac80211]
[62755.114154]  process_one_work+0x171/0x340
[62755.114158]  worker_thread+0x27b/0x3a0
[62755.114161]  ? __pfx_worker_thread+0x10/0x10
[62755.114164]  kthread+0xe5/0x120
[62755.114167]  ? __pfx_kthread+0x10/0x10
[62755.114169]  ret_from_fork+0x31/0x50
[62755.114172]  ? __pfx_kthread+0x10/0x10
[62755.114174]  ret_from_fork_asm+0x1b/0x30
[62755.114179]  </TASK>
[62755.114180] ---[ end trace 0000000000000000 ]---
[62803.618091] ath10k_warn: 44 callbacks suppressed
[62803.618098] ath10k_pci 0000:3b:00.0: failed to wake target for read32 at 0x00080008: -110
[62803.651056] ath10k_pci 0000:3b:00.0: failed to wake target for write32 of 0xffffffff at 0x00080008: -110
[62803.705663] ath10k_pci 0000:3b:00.0: failed to wake target for write32 of 0xfffffffe at 0x00080008: -110
[62803.759732] ath10k_pci 0000:3b:00.0: failed to wake target for read32 at 0x0003a028: -110
[62803.792517] ath10k_pci 0000:3b:00.0: failed to wake target for read32 at 0x0003a028: -110
[62803.825364] ath10k_pci 0000:3b:00.0: failed to wake target for read32 at 0x0003a028: -110
[62803.858137] ath10k_pci 0000:3b:00.0: failed to wake target for read32 at 0x0003a028: -110
[62803.890984] ath10k_pci 0000:3b:00.0: failed to wake target for read32 at 0x0003a028: -110
[62803.923749] ath10k_pci 0000:3b:00.0: failed to wake target for read32 at 0x0003a028: -110
[62803.956582] ath10k_pci 0000:3b:00.0: failed to wake target for read32 at 0x0003a028: -110
[62806.915642] ath10k_pci 0000:3b:00.0: failed to read device register, device is gone
[62807.014757] ath10k_pci 0000:3b:00.0: failed to reset chip: -5
[62807.014760] ath10k_pci 0000:3b:00.0: Could not init hif: -5
[62807.014851] ath10k_pci 0000:3b:00.0: firmware crashed! (guid f9d94095-f7a5-4755-a92f-420c722808da)
[62807.014854] ath10k_pci 0000:3b:00.0: qca6174 hw3.2 target 0x05030000 chip_id 0x00340aff sub 1a56:1535
[62807.014857] ath10k_pci 0000:3b:00.0: kconfig debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
[62807.015233] ath10k_pci 0000:3b:00.0: firmware ver WLAN.RM.4.4.1-00309- api 6 features wowlan,ignore-otp,mfp crc32 0793bcf2
[62807.015632] ath10k_pci 0000:3b:00.0: board_file api 2 bmi_id N/A crc32 d2863f91
[62807.015636] ath10k_pci 0000:3b:00.0: htt-ver 3.87 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1
[62807.048446] ath10k_pci 0000:3b:00.0: failed to read firmware dump area: -28
[62807.048451] ath10k_pci 0000:3b:00.0: Copy Engine register dump:
[62807.180124] ath10k_pci 0000:3b:00.0: [00]: 0x00034400 4294967295 4294967295 4294967295 4294967295
[62807.311483] ath10k_pci 0000:3b:00.0: [01]: 0x00034800 4294967295 4294967295 4294967295 4294967295
[62807.442756] ath10k_pci 0000:3b:00.0: [02]: 0x00034c00 4294967295 4294967295 4294967295 4294967295
[62807.574067] ath10k_pci 0000:3b:00.0: [03]: 0x00035000 4294967295 4294967295 4294967295 4294967295
[62807.706495] ath10k_pci 0000:3b:00.0: [04]: 0x00035400 4294967295 4294967295 4294967295 4294967295
[62807.838215] ath10k_pci 0000:3b:00.0: [05]: 0x00035800 4294967295 4294967295 4294967295 4294967295
[62807.969839] ath10k_pci 0000:3b:00.0: [06]: 0x00035c00 4294967295 4294967295 4294967295 4294967295
[62808.101122] ath10k_pci 0000:3b:00.0: [07]: 0x00036000 4294967295 4294967295 4294967295 4294967295
[62808.637895] ath10k_warn: 144 callbacks suppressed
[62808.637897] ath10k_pci 0000:3b:00.0: failed to wake target for read32 at 0x0003a028: -110
[62808.670779] ath10k_pci 0000:3b:00.0: failed to wake target for read32 at 0x0003a028: -110
[62808.703905] ath10k_pci 0000:3b:00.0: failed to wake target for read32 at 0x0003a028: -110
[62808.736802] ath10k_pci 0000:3b:00.0: failed to wake target for read32 at 0x0003a028: -110
[62808.769573] ath10k_pci 0000:3b:00.0: failed to wake target for read32 at 0x0003a028: -110
[62808.802472] ath10k_pci 0000:3b:00.0: failed to wake target for read32 at 0x0003a028: -110
[62808.835287] ath10k_pci 0000:3b:00.0: failed to wake target for read32 at 0x0003a028: -110
[62808.868155] ath10k_pci 0000:3b:00.0: failed to wake target for read32 at 0x0003a028: -110
[62808.900987] ath10k_pci 0000:3b:00.0: failed to wake target for read32 at 0x0003a028: -110
[62808.933811] ath10k_pci 0000:3b:00.0: failed to wake target for read32 at 0x0003a028: -110
[62811.429052] ath10k_pci 0000:3b:00.0: failed to read device register, device is gone
[62811.527503] ath10k_pci 0000:3b:00.0: failed to reset chip: -5
[62811.527506] ath10k_pci 0000:3b:00.0: Could not init hif: -5
[62811.527577] ath10k_pci 0000:3b:00.0: firmware crashed! (guid 9cfc9ab3-2263-4e5b-97a5-d80caae04202)
[62811.527581] ath10k_pci 0000:3b:00.0: qca6174 hw3.2 target 0x05030000 chip_id 0x00340aff sub 1a56:1535
[62811.527583] ath10k_pci 0000:3b:00.0: kconfig debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
[62811.527938] ath10k_pci 0000:3b:00.0: firmware ver WLAN.RM.4.4.1-00309- api 6 features wowlan,ignore-otp,mfp crc32 0793bcf2
[62811.528295] ath10k_pci 0000:3b:00.0: board_file api 2 bmi_id N/A crc32 d2863f91
[62811.528297] ath10k_pci 0000:3b:00.0: htt-ver 3.87 wmi-op 4 htt-op 3 cal otp max-sta 32 raw 0 hwcrypto 1
[62811.561176] ath10k_pci 0000:3b:00.0: failed to read firmware dump area: -28
[62811.561179] ath10k_pci 0000:3b:00.0: Copy Engine register dump:
[62811.692471] ath10k_pci 0000:3b:00.0: [00]: 0x00034400 4294967295 4294967295 4294967295 4294967295
[62811.823730] ath10k_pci 0000:3b:00.0: [01]: 0x00034800 4294967295 4294967295 4294967295 4294967295
[62811.955031] ath10k_pci 0000:3b:00.0: [02]: 0x00034c00 4294967295 4294967295 4294967295 4294967295
[62812.086385] ath10k_pci 0000:3b:00.0: [03]: 0x00035000 4294967295 4294967295 4294967295 4294967295
[62812.217610] ath10k_pci 0000:3b:00.0: [04]: 0x00035400 4294967295 4294967295 4294967295 4294967295
[62812.348915] ath10k_pci 0000:3b:00.0: [05]: 0x00035800 4294967295 4294967295 4294967295 4294967295
[62812.480205] ath10k_pci 0000:3b:00.0: [06]: 0x00035c00 4294967295 4294967295 4294967295 4294967295
[62812.611511] ath10k_pci 0000:3b:00.0: [07]: 0x00036000 4294967295 4294967295 4294967295 4294967295


Expected Results:
  
No Wifi crashing

Hwinfo:
 *-network
       description: Wireless interface
       product: QCA6174 802.11ac Wireless Network Adapter
       vendor: Qualcomm Atheros
       physical id: 0
       bus info: pci@0000:3b:00.0
       logical name: wlp59s0
       version: 32
       serial: 9c:b6:d0:c6:03:21
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=ath10k_pci driverversion=6.7.5-200.fc39.x86_64 firmware=WLAN.RM.4.4.1-00309- ip=192.168.0.123 latency=0 link=yes multicast=yes wireless=IEEE 802.11
       resources: irq:146 memory:ed200000-ed3fffff

Comment 1 Fedora Update System 2024-04-11 13:26:56 UTC
FEDORA-2024-5829ba652c (linux-firmware-20240410-1.fc38) has been submitted as an update to Fedora 38.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-5829ba652c

Comment 2 Fedora Update System 2024-04-11 13:27:07 UTC
FEDORA-2024-8390e97bf1 (linux-firmware-20240410-1.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-8390e97bf1

Comment 3 Fedora Update System 2024-04-11 13:27:17 UTC
FEDORA-2024-3cb8093bdf (linux-firmware-20240410-1.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-3cb8093bdf

Comment 4 Fedora Update System 2024-04-12 02:05:16 UTC
FEDORA-2024-3cb8093bdf has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-3cb8093bdf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-3cb8093bdf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2024-04-12 02:34:04 UTC
FEDORA-2024-8390e97bf1 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-8390e97bf1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-8390e97bf1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2024-04-12 02:41:44 UTC
FEDORA-2024-5829ba652c has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-5829ba652c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-5829ba652c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2024-04-14 01:36:17 UTC
FEDORA-2024-8390e97bf1 (linux-firmware-20240410-1.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2024-04-19 21:35:12 UTC
FEDORA-2024-3cb8093bdf (linux-firmware-20240410-1.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2024-04-24 01:36:35 UTC
FEDORA-2024-5829ba652c (linux-firmware-20240410-1.fc38) has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.